Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemParam

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemVariable
                        |
                        +--org.apache.xalan.xslt.ElemParam

public class ElemParam
extends ElemVariable

**For advanced use only** Implement xsl:param.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xslt.ElemVariable
`m_isTopLevel, m_qname, m_selectPattern`

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Constructor Summary
`ElemParam(ElemParam param)` **For advanced use only** Copy constructor.
`ElemParam(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)` **For advanced use only**

Method Summary
`void` | `execute(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)` **For advanced use only**
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemVariable
`getValue`

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`appendChild, childrenToString, error, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemParam

    public ElemParam(XSLTEngineImpl processor,
                     Stylesheet stylesheetTree,
                     java.lang.String name,
                     org.xml.sax.AttributeList atts,
                     int lineNumber,
                     int columnNumber)
              throws org.xml.sax.SAXException

### ElemParam

    public ElemParam(ElemParam param)
              throws org.xml.sax.SAXException

  **For advanced use only** Copy constructor.

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemVariable

### execute

    public void execute(XSLTEngineImpl processor,
                        org.w3c.dom.Node sourceTree,
                        org.w3c.dom.Node sourceNode,
                        QName mode)
                 throws XSLProcessorException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Overrides:
    execute in class ElemVariable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.